function [ res ] = orbit(t,x)
% 
% A test and verification of the routine rkf45 from the book 
% 
% Computer Methods for Mathematical Computations
% by George E. Forsythe, Michael A. Malcolm, and Cleve B. Moler.
% 
% on page 133
% 
% Written by:
% -- 
% John L. Weatherwax                2005-10-29
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

alpha = pi/4; 
alphasq = alpha^2; 
R = x(1)*x(1) + x(2)*x(2);
R = R*sqrt(R)/alphasq;

res = [ x(3); x(4); -x(1)/R; -x(2)/R ]; 
